# Let's optimize your images

PicSwiftCDN solves challenges with image resizing, transformation, and acceleration—all while keeping your bandwidth free forever.

Don’t let images slow your website or mobile apps down. Don’t want to spend hours manually editing images for the web? Tired of writing complex scripts for image resizing automation? You’re in the right place.

At PicSwiftCDN, we understand that in today’s digital landscape, image quality, website performance, and bandwidth are paramount. That’s why we’ve built a state-of-the-art Image CDN service that delivers compressed, pixel-perfect images and offers **unlimited bandwidth**—a pricing model that sets us apart from other providers.

We provide a range of standard image transformation options and much more—reach out to us at <support@picswiftcdn.com> if you need any help!

## Let's start with an example&#x20;

Unlike other image transformation providers, we believe in simplicity by offering a platform where all transformation definitions are managed from our dashboard, making it easy for you to streamline your image transformation process with straightforward GET image URLs requiring only source & variation specification.

### URL Syntax

```
https://{cdnDomain}/{sourceAlias}/{originalImagePath}?v={variationNames}
```

<table><thead><tr><th width="233">Variable</th><th>Description</th></tr></thead><tbody><tr><td><pre><code>{cdnDomain}
</code></pre></td><td><p>This is any domain found in your organization's domain settings: </p><p></p><p>Default CDN domain:</p><p></p><p><em><mark style="color:green;"><strong>cdn.picswiftcdn.com</strong></mark></em></p><p></p><p>If you want to use your own custom domain, please check our docs on <a href="settings/linking-new-custom-domain">linking new custom domain </a></p></td></tr><tr><td><pre><code>{sourceAlias}
</code></pre></td><td><p>This is a short random string e.g <em><mark style="color:green;"><strong>417454cf7566e1</strong></mark></em> that Identifies the source we should use to download your original images. </p><p></p><p>Please check our docs on <a href="image-sources/image-sources-we-support">image sources we support</a></p></td></tr><tr><td></td><td></td></tr><tr><td><pre><code>{originalImagePath}
</code></pre></td><td><p>This is the original path of your image i.e </p><p></p><p>If you have a URL source:</p><p></p><p><a href="https://example.com/assets/images/product.png">https://example.com/assets/images/product.png</a> </p><p></p><p>The <em><strong>originalImagePath</strong></em><strong> w</strong>ould be: </p><p></p><p><mark style="color:green;">assets/images/product.png</mark></p></td></tr><tr><td><pre><code>{variationNames}
</code></pre></td><td><p>List of variation names separated by comma that define which transformations will be applied and in which order.  Example of how this looks like:</p><p></p><p><em><mark style="color:green;"><strong>vn1,vn2,vn3</strong></mark></em> </p><p></p><p>A variation itself is a group of transformations that can be applied to an image. Check our docs on the types of <a href="transformations/image-transformations-we-support">image transformations we support</a></p><p></p><p>If no variation name(s) are specified, <em><mark style="color:green;"><strong>default</strong></mark></em>  variation will be applied</p></td></tr></tbody></table>

So the complete url would look like:

```
https://cdn.picswiftcdn.com/417454cf7566e1/assets/images/product.png?v=vn1,v2,vn3 
```

Its just that simple.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.picswiftcdn.com/lets-optimize-your-images.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
